Redmine - Defect #2257

Project activity partially broken by new user activity code

2008-12-01 18:34 - Jack Christensen

Status: Closed

Priority: Normal

Assignee:

Category: Projects

Target version:

Resolution: Fixed

Start date: 2008-12-01
Due date:

% Done: 0%
Estimated time: 0.00 hour

Affected version:

Description

The form on the side bar to filter activity by by issues or wiki edits was broken by r2067. It always submits a user_id from the params
hash even if no user_id is given. This causes a failure. Solution appears to be to add

if params|[:user_id]

to the end of line 55.

Related issues:

Is duplicate of Redmine - Defect #2251: Error 404 when "Apply" clicked on act... Closed 2008-12-01

History

#1 - 2008-12-01 18:42 - Jack Christensen

- Status changed from New to Resolved

dup of #2251 -- fixed in r2082.

#2 - 2008-12-02 18:14 - Jean-Philippe Lang
- Status changed from Resolved to Closed

- Resolution set to Fixed

Indeed, it's fixed.
https://www.redmine.org/issues/2251
